import * as ts from "typescript";
import { ApiItem } from "../abstractions/api-item";
import { ApiItemReference } from "../contracts/api-item-reference";
import { ApiType } from "../contracts/api-types";
import { ApiCallableBaseDefinition } from "../contracts/api-definitions";
import { ApiItemLocationDto } from "../contracts";
/**
 * A callable api item base.
 */
export declare abstract class ApiCallableBase<TDeclaration extends ts.SignatureDeclaration, TExtractDto extends ApiCallableBaseDefinition> extends ApiItem<TDeclaration, TExtractDto> {
    protected IsOverloadBase: boolean;
    protected Parameters: ApiItemReference[];
    protected TypeParameters: ApiItemReference[];
    protected ReturnType: ApiType | undefined;
    protected Location: ApiItemLocationDto;
    protected OnGatherData(): void;
}
