import * as ts from "typescript";
import { LogLevel } from "simplr-logger";
import { ApiItem, ApiItemOptions } from "./abstractions/api-item";
import { ApiItemReference } from "./contracts/api-item-reference";
import { AccessModifier } from "./contracts/access-modifier";
import { ApiItemLocationDto } from "./contracts/api-item-location-dto";
export declare namespace ApiHelpers {
    function VisitApiItem(declaration: ts.Declaration, symbol: ts.Symbol, options: ApiItemOptions): ApiItem | undefined;
    function ShouldVisit(declaration: ts.Declaration, options: ApiItemOptions): boolean;
    function GetItemId(declaration: ts.Declaration, symbol: ts.Symbol, options: ApiItemOptions): string | undefined;
    function GetItemsIdsFromSymbolsMap(symbols: ts.UnderscoreEscapedMap<ts.Symbol> | undefined, options: ApiItemOptions): ApiItemReference[];
    function GetItemIdsFromSymbol(symbol: ts.Symbol | undefined, options: ApiItemOptions): ApiItemReference | undefined;
    function GetItemsIdsFromDeclarations(declarations: ts.NodeArray<ts.Declaration>, options: ApiItemOptions): ApiItemReference[];
    function ResolveAccessModifierFromModifiers(modifiers?: ts.NodeArray<ts.Modifier>): AccessModifier;
    function ModifierKindExistsInModifiers(modifiers: ts.NodeArray<ts.Modifier> | undefined, kind: ts.SyntaxKind): boolean;
    function LogWithNodePosition(logLevel: LogLevel, declaration: ts.Node, message: string): void;
    function LogWithLocation(logLevel: LogLevel, location: ApiItemLocationDto, message: string): void;
    function StandardizeRelativePath(location: string, options: ApiItemOptions): string;
    function GetApiItemLocationDtoFromNode(node: ts.Node, options: ApiItemOptions): ApiItemLocationDto;
    /**
     * Get parent reference id from declaration.
     */
    function GetParentIdFromDeclaration(declaration: ts.Declaration, options: ApiItemOptions): string | undefined;
}
