import * as ts from "typescript";
import { ApiItem } from "./abstractions/api-item";
import { Dictionary } from "./contracts/dictionary";
import { Registry } from "./contracts/registry";
import { ApiDefinition } from "./contracts/api-definitions";
export declare type ExtractedApiRegistry = Dictionary<ApiDefinition>;
export declare class ApiRegistry implements Registry<ApiItem> {
    protected registry: Map<string, ApiItem>;
    protected ExtractedData: ExtractedApiRegistry;
    protected IsDataExtracted: boolean;
    Extract(forceExtract?: boolean): ExtractedApiRegistry;
    readonly Registry: ReadonlyMap<string, ApiItem>;
    private declarationsToIdsMap;
    private counters;
    protected GetNextDeclarationId(declaration: ts.Declaration | undefined): string | undefined;
    GetDeclarationId(declaration: ts.Declaration): string | undefined;
    HasDeclaration(declaration: ts.Declaration): boolean;
    Get(id: string): ApiItem | undefined;
    AddItem(item: ApiItem): string;
}
