import * as ts from "typescript";
export declare namespace TsHelpers {
    /**
     * Returns the string part of `export * from "./module";`
     */
    function GetExportImportString(declaration: ts.ExportDeclaration | ts.ImportDeclaration): string | undefined;
    /**
     * Returns `ts.SourceFile` from `ts.ExportDeclaration`.
     */
    function ResolveSourceFile(declaration: ts.ExportDeclaration | ts.ImportDeclaration, program: ts.Program): ts.SourceFile | undefined;
    /**
     * Returns Symbol from declaration.
     */
    function GetSymbolFromDeclaration(declaration: ts.Declaration | undefined, typeChecker: ts.TypeChecker): ts.Symbol | undefined;
    function GetDeclarationParentByKind(declaration: ts.Declaration, kind: ts.SyntaxKind): ts.Node | undefined;
    function GetImportSpecifierLocalTargetSymbol(declaration: ts.ImportSpecifier, program: ts.Program): ts.Symbol | undefined;
    type TypeWithTypeArguments = ts.Type & {
        typeArguments: ts.Type[];
    };
    function IsTypeWithTypeArguments(type: ts.Type): type is TypeWithTypeArguments;
    function GetResolvedModule(sourceFile: ts.SourceFile, moduleNameText: string): ts.ResolvedModuleFull | undefined;
    /**
     * Source: @microsoft/api-extractor (MIT)
     * Github: https://goo.gl/tLoJUe
     */
    function FollowSymbolAliases(symbol: ts.Symbol, typeChecker: ts.TypeChecker): ts.Symbol;
    function IsInternalSymbolName(name: string): boolean;
    function IsNodeSynthesized(node: ts.Node): boolean;
    const NODE_MODULES = "node_modules";
    const NODE_MODULES_PACKAGE_REGEX: RegExp;
    /**
     * @param onlyName if true, returns only package name.
     */
    function GetSourceFileExternalLibraryLocation(sourceFile: ts.SourceFile, program: ts.Program, onlyName?: boolean): string | undefined;
    function IsSourceFileFromExternalPackage(sourceFile: ts.SourceFile, program: ts.Program): boolean;
}
